> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/android/changelogs/version-6/v6-9-4.md).

# Version 6.9.4 Changelog (January 14, 2019)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

Version: 6.9.4.69176

Release Date: January 14, 2019

## New features

* A new sample, Showcase, demonstrates a number of features of the Apryse SDK.

![](https://226546913-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F0QItsdFBmuuL9ezHimHy%2Fuploads%2Fgit-blob-379abdbb63183146420563a783bc1063a6e6645b%2Fd60ddb8787f50844ea0b1fa1bdc9a4e3588c7752-453x812.gif?alt=media)

* Adds API to disable auto saving when using [PdfViewCtrlTabHostFragment](/android/open-save-document/open/fragment.md)
* Adds API to disable state (such as scroll position, current page, zoom etc.) saving when using [PdfViewCtrlTabHostFragment](/android/open-save-document/open/fragment.md)
* Adds API to show/hide crop option in [view mode dialog](/android/viewer/view-mode.md)
* Adds `onTabDocumentLoaded` callback to notify when the document associated with a tab is now loaded when using [PdfViewCtrlTabHostFragment](/android/open-save-document/open/fragment.md)
* HTML to PDF sample code has been added to all file browser pages in [`AdvancedReaderActivity`](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/demo/app/AdvancedReaderActivity.html)

## Fixed

* Many stability improvements
* Fixed issue where free highlighter appeared in wrong color in night mode
* Fixed issue where page sliding of [PDFViewCtrl](/android/open-save-document/open/view.md) could not be turned off
* Fixed issue where when using light color as `colorPrimaryDark`, the [annotation toolbar](/android/annotation/annotation-toolbar-a.md) item background when selected might have incorrect appearance
* Fixed issue where [crop pages dialog](/android/open-save-document/basics/crop-pages.md) might not load any page on certain devices

## APIs

### Added

* [`PdfViewCtrlTabFragment::setSavingEnabled`](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/controls/PdfViewCtrlTabFragment.html#setSavingEnabled\(boolean\))
* [`PdfViewCtrlTabFragment::setStateEnabled`](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/controls/PdfViewCtrlTabFragment.html#setStateEnabled\(boolean\))
* [`ViewerConfig.Builder::showCropOption`](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/config/ViewerConfig.Builder.html#showCropOption\(boolean\))
* [`TabHostListener::onTabDocumentLoaded`](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/controls/PdfViewCtrlTabHostFragment.TabHostListener.html#onTabDocumentLoaded\(java.lang.String\))


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/android/changelogs/version-6/v6-9-4.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
